# IRdUVEditorData Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | GetSelectedNodesCount ([out, retval] RtDWORD *pdwCount)
HRESULT | Reset ()
HRESULT | GetNodeDataAt ([in] RtDWORD dwIndex,[out, retval] IRdSelectedNodeData **ppData)
HRESULT | SetNodeDataAt ([in] RtDWORD dwIndex,[in] IRdSelectedNodeData *pData)
HRESULT | AddNodeData ([in] IRdSelectedNodeData *pData)
HRESULT | GetNodeAt ([in] RtDWORD dwIndex,[out, retval] IRsNode **ppNode)
## Properties
RtDWORD * | CurrentMatIndex`[get]`
RtDWORD | CurrentMatIndex`[set]`
RtBool * | EnableTexturePaint`[get]`
RtBool | EnableTexturePaint`[set]`

## Detailed Description

Holds information about current set of selected nodes displayed in UV editor.

- Internally it only holds their names in RdSelectedNodeData instances.

## Member Function Documentation

HRESULT IRdUVEditorData::GetSelectedNodesCount | ( | [out, retval] RtDWORD * | pdwCount | ) |

GetSelectedNodesCount

Returns:
  pdwCount [out,retval] Returns number of selected nodes (including subnodes).

HRESULT IRdUVEditorData::Reset | ( |  | ) |

Reset: clears the object.

HRESULT IRdUVEditorData::GetNodeDataAt | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] IRdSelectedNodeData ** | ppData |
| ) |  |  |

GetNodeDataAt: gets data associated with node at specified index.

Parameters:

  | dwIndex | [in] Index value to get data from.

Returns:
  ppData [out,retval] Returns data from specified index.

HRESULT IRdUVEditorData::SetNodeDataAt | ( | [in] RtDWORD | dwIndex,
|  | [in] IRdSelectedNodeData * | pData |
| ) |  |  |

SetNodeDataAt

Parameters:

  | dwIndex | [in] Index value to set node data to.
  | pData | [in] Node data to set for index value.

HRESULT IRdUVEditorData::AddNodeData | ( | [in] IRdSelectedNodeData * | pData | ) |

AddNodeData

Parameters:

  | pData | [in] Adds node data to index.

HRESULT IRdUVEditorData::GetNodeAt | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] IRsNode ** | ppNode |
| ) |  |  |

GetNodeAt

Parameters:

  | dwIndex | [in] Index value to use for return of node.

Returns:
  ppNode [out,retval] Node found at specified index value.

## Property Documentation

RtDWORD * IRdUVEditorData::CurrentMatIndex`[get]`

CurrentMatIndex

Returns:
  pdwIndex [out,retval] Index of currently displayed material (for any visible node).

RtDWORD IRdUVEditorData::CurrentMatIndex`[set]`

CurrentMatIndex

Parameters:

  | dwIndex | [in] Sets the material index for currently displayed material (for any visible node).

RtBool * IRdUVEditorData::EnableTexturePaint`[get]`

EnableTexturePaint

Returns:
  pEnable [out,retval] Boolean value for flag, which tells editor if texture painting tools (brush and line) are allowed.

RtBool IRdUVEditorData::EnableTexturePaint`[set]`

EnableTexturePaint

Parameters:

  | bEnable | [in] Set Boolean value for flag, which tells editor if texture painting tools (brush and line) are allowed.